Subject: Re: a naive Xinerama question

From: "Matthias Clasen" <[email-masked]>
Date: Thu, 9 Aug 2001 17:21:44 +0200

> > But it would certainly be a useful addition to the Xinerama extension to
> > send "EnterXineramaHead" and LeaveXineramaHead events  - IIRC X
> > extensions can introduce new events.  If these events contain the a
> > head number, interested applications can then easily maintain
information
> > about the set of heads the pointer is in (even for the pathological case
> > of overlapping heads).
>
	> Well, this *can* be a useful addition if we find a real case when
> it is needed.  Than we can try to persuade Mark Vojkovich to add this
> functionality to X (BTW, what is interesting -- he also uses fvwm).  But
> there must be some real, hard arguments, otherwise this definitely
> wouldn't pass the X Xinerama group.

All the same reasons why you want to get enter and leave events on the root
window
in multi-screen scenarios, I guess. Of course, the application with the
strongest interest
in such information is the window manager, but toolkits could also use it as
a low-overhead
way to find the necessary information for e.g. restricting menus to be
completely onscreen
(or rather "onxineramascreen").

In fact, I would thing that enter/leave notification would be a very natural
feature
and I can't think of any possible reasons for the  X Xinerama group to not
accept it.

Matthias

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 10 Aug 2001 07:06:25 +0200

By the way, Matthias, is there anything that has to be done to
make FvwmGtk Xinerama compatible?

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]